Distribution:   CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		lcms2
Version:	2.0
Release:	2
License:	GNU/GPL 
URL:		http://www.littlecms.com
Group:		System/Libraries
Source0:	%{name}-%{version}a.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	The lcms library is used by other programs to provide color management facilities.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
lcms is a small-footprint, speed-optimized color management engine.
For more details see: http://www.littlecms.com

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn lcms-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/jpgicc
%{_bindir}/linkicc
%{_bindir}/psicc
%{_bindir}/tificc
%{_bindir}/transicc
%{_libdir}/liblcms2.so.*
%{_mandir}/man1/jpgicc.1.gz
%{_mandir}/man1/tificc.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/lcms2.h
%{_includedir}/lcms2_plugin.h
%{_libdir}/liblcms2.a
%{_libdir}/liblcms2.la
%{_libdir}/liblcms2.so
%{_pkgconfig}/lcms2.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0a-2
- rebuilt
* Fri Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0a-1
- initial CCux package release
- package based on lcms
